
CoCoALib - Feature #848

Implement MinPoly in CoCoALib

22 Mar 2016 16:44 - Anna Maria Bigatti

Status: Closed Start date: 22 Mar 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 5.01 hours

Target version: CoCoALib-0.99542 spring 2016 Spent time: 5.00 hours

Description

Implement all CoCoA-5 versions of MinPoly in CoCoALib

Related issues:

Related to CoCoA-5 - Bug #594: CharPoly(MAT) and MinPoly(MAT) work in differe... Closed 22 Jul 2014

History

#1 - 22 Mar 2016 16:44 - Anna Maria Bigatti

- Related to Bug #594: CharPoly(MAT) and MinPoly(MAT) work in different settings: unify behaviaour added

#2 - 22 Mar 2016 16:47 - Anna Maria Bigatti

- Subject changed from Implement MinPoly in C++ to Implement MinPoly in CoCoALib

- Category set to New Function

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 30

John Abbott: new class IncrLinDep

#3 - 22 Mar 2016 17:07 - Anna Maria Bigatti

- % Done changed from 30 to 100

Anna Bigatti + Elisa Palezzato: translated from cocoa-5 to cocoalib.

Tested, works.

Not documented: still needed proper syntax MinPolyXX(f, x) with f in quotient ring R/I.

(current syntax MinPolyXX(f, I, x) will then be hidden within the implementation)

This goes into a new issue.

#4 - 22 Mar 2016 17:07 - Anna Maria Bigatti

- Status changed from New to Closed

#5 - 22 Mar 2016 18:02 - Anna Maria Bigatti

- Estimated time set to 5.01 h
